XDocletTagshandlerMessages (XDoclet 1.2.3 API)
Keywords: xdoclet.tagshandler.XDocletTagshandlerMessages class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.tagshandler
Class XDocletTagshandlerMessages

    java.lang.Object
      xdoclet.tagshandler.XDocletTagshandlerMessages

public final class XDocletTagshandlerMessages
extends Object

Version:
  $Revision: 1.2 $
Author:
  Ara Abrahamian (ara_e_w@yahoo.com)
created
  May 31, 2002

Field Summary
`static String` | `ATTRIBUTE_NOT_SET_ERROR`
`static String` | `ID_PARAM_MISSING`
`static String` | `ONLY_CALL_CONSTRUCTOR_NOT_NULL`
`static String` | `ONLY_CALL_FIELD_NOT_NULL`
`static String` | `ONLY_CALL_METHOD_NOT_NULL`
`static String` | `TAGDEF_COULDNT_DEF_HANDLER`
`static String` | `TAGDEF_ILLEGALACCESS_EXCEPTION`
`static String` | `TAGDEF_INSTANTIATION_EXCEPTION`

Constructor Summary
`XDocletTagshandlerMessages()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ONLY_CALL_FIELD_NOT_NULL

    public static final String ONLY_CALL_FIELD_NOT_NULL

See Also:
  Constant Field Values
msg.bundle
  msg="{0} can only be called when the current field is not null."

### ONLY_CALL_CONSTRUCTOR_NOT_NULL

    public static final String ONLY_CALL_CONSTRUCTOR_NOT_NULL

See Also:
  Constant Field Values
msg.bundle
  msg="{0} can only be called when the current constructor is not null."

### ONLY_CALL_METHOD_NOT_NULL

    public static final String ONLY_CALL_METHOD_NOT_NULL

See Also:
  Constant Field Values
msg.bundle
  msg="{0} can only be called when the current method is not null."

### TAGDEF_COULDNT_DEF_HANDLER

    public static final String TAGDEF_COULDNT_DEF_HANDLER

See Also:
  Constant Field Values
msg.bundle
  msg="Could not define tag handler class ''{0}'' for template tag ''{1}''."

### TAGDEF_ILLEGALACCESS_EXCEPTION

    public static final String TAGDEF_ILLEGALACCESS_EXCEPTION

See Also:
  Constant Field Values
msg.bundle
  msg="Could not instantiate class ''{0}'', not accessible. Template tag handler classes should have a public no argument constructor."

### TAGDEF_INSTANTIATION_EXCEPTION

    public static final String TAGDEF_INSTANTIATION_EXCEPTION

See Also:
  Constant Field Values
msg.bundle
  msg="Could not instantiate class ''{0}''. Template tag handler classes should have a public no argument constructor."

### ID_PARAM_MISSING

    public static final String ID_PARAM_MISSING

See Also:
  Constant Field Values
msg.bundle
  msg="{0} parameter not specified for id element. Ignoring id element."

### ATTRIBUTE_NOT_SET_ERROR

    public static final String ATTRIBUTE_NOT_SET_ERROR

See Also:
  Constant Field Values
msg.bundle
  msg="{0} attribute must be set!"

Constructor Detail

### XDocletTagshandlerMessages

    public XDocletTagshandlerMessages()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD